Zum Inhalt springen

Seedream · Flash · Text to Image

Integrieren

Modell-ID bytedance/seedream/v5/flash/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/bytedance/seedream/v5/flash/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: 0,027 $ 27 API-Credits Auf dieser Seite ausführen

API-Schlüssel abrufen
ByteDance Text zu Bild Schnell #realism#typography#stylized

Seedream 5 Flash Text-zu-Bild mit 1 bis 6 Ausgaben pro Anfrage und jpeg- oder png-Ausgabe

ByteDance · Bild

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich

Textanweisungen zum Generieren des Bildes.

image_size Standard auto_2K

Abmessungen des Ausgabebildes mit insgesamt 1024x1024–2048x2048 Pixeln und einem Seitenverhältnis von 1/16–16.

num_images Standard 1

Anzahl unabhängiger Modellgenerierungen mit dem Prompt.

Erweitert output_format · enable_safety_checker
output_format Standard jpeg

Dateiformat des Ausgabebildes.

POST /run/bytedance/seedream/v5/flash/text-to-image?wait=20 Preis → 0,027 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/bytedance/seedream/v5/flash/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über Seedream · Flash · Text to Image

Generiert Bilder aus einem Text-Prompt. `image_size` verwendet Voreinstellungen wie square_hd und landscape_16_9 oder auto_1K und auto_2K, innerhalb von 1024x1024 bis 2048x2048 Gesamtpixeln. `num_images` führt 1 bis 6 separate Generierungen aus, und `output_format` ist jpeg oder png.

Parameter

Sende entweder den kanonischen Namen oder den nativen Namen, nicht beide. Kanonische Namen

NameTyp StandardZulässig Beschreibung
prompterforderlich
Typstring
Textanweisungen zum Generieren des Bildes.
image_sizeoptional
Typobject
Standardauto_2K
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto_1Kauto_2K
Abmessungen des Ausgabebildes mit insgesamt 1024x1024–2048x2048 Pixeln und einem Seitenverhältnis von 1/16–16.
num_imagesoptional num_outputs
Typinteger
Standard1
1 – 6
Anzahl unabhängiger Modellgenerierungen mit dem Prompt.
output_formatoptional
Typenum
Standardjpeg
jpegpng
Dateiformat des Ausgabebildes.
enable_safety_checkeroptional
Typboolean
Standardtrue
Schalter für die Sicherheitsprüfung, dessen Deaktivierung eine Kontoberechtigung erfordert. Ohne diese Berechtigung wird jede Anfrage unabhängig von der Einstellung geprüft; true aktiviert die Prüfung.
erforderlich Kanonischer Name, ebenfalls akzeptiert

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedream/v5/flash/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 27,
    "usd": "0.027",
    "charged": 27,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
images
array of object {url, content_type, file_name, file_size, width, height}Durch die Generierung erzeugte Bilder.

Weitere Modelle: Text zu Bild

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/bytedance/seedream/v5/flash/text-to-image.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt